!-----------------------------------------------------------------------
!  PSGHCI -- CROSS SECTION OF C+6 + H --> C+6 + H+
!
real(fp) FUNCTION psghci8(ZE)
!
! INPUT
!  ZE -- COLLISION ENERGY **PER NUCLEON**  EV/AMU
!
! OUTPUT
!  PSGHCI -- CROSS SECTION, CM**2
!
! REFERENCE
!  ORNL-6090/V5, ATOMIC DATA FOR FUSION, VOLUME V,
!    "COLLISIONS OF CARBON AND OXYGEN IONS WITH ELECTRONS, H, H2, & He"
!    R.A. PHANEUF, R.K. JANEV, M.S. PINDZOLA
!
!============
! idecl:  explicitize implicit REAL declarations:
  use iso_c_binding, only: fp => c_double
  IMPLICIT NONE
  real(fp) ze,emin,emax,zans,psgchvx8
!============
  real(fp) CCHEV(9)
!
  DATA EMIN/2.9e+4_fp/
  DATA EMAX/2.2e+7_fp/
!
  DATA CCHEV/&
       -7.15608e+01_fp,-1.11477_fp,-1.07011_fp,&
       4.59309e-1_fp,-1.48900e-1_fp,-5.09294e-3_fp,&
       1.97146e-2_fp,-2.52812e-2_fp,-2.71728e-2_fp/
!
  ZANS=psgchvx8(2,ZE,EMIN,EMAX,CCHEV)
  psghci8=ZANS
!
  RETURN
END FUNCTION psghci8
! 21Jun2001 fgtok -s r8_precision.sub foo.tab "r8con.csh conversion"
! 21Jun2001 fgtok
